 	<?php

header ("Content-Type: text/html; charset=iso-8859-9");

?><?php

session_start();
ob_start();

include("baglan.php");

$kullanici_adi = htmlentities(mysql_real_escape_string($_POST["kullanici_adi"]));
$parola = htmlentities(mysql_real_escape_string($_POST["parola"]));

$sorgula = mysql_query("SELECT * FROM uyeler WHERE kullanici_adi='{$kullanici_adi}' and parola='{$parola}'") or die (mysql_error());

$uye_varmi = mysql_num_rows($sorgula);
if($uye_varmi > 0)
{
$_SESSION["giris"] = "true";
$_SESSION["kullanici_adi"] = $kullanici_adi;
$_SESSION["parola"] = $parola;



echo str_repeat("<br>", 8)."<center><img src=images/loading.gif border=0 /><br><h1>Giriş başarılı, lütfen bekleyiniz..</h1></center>";
header("Refresh: 2; url=admin.php");

 

 function isletimsistemi() {
    $tespit=$_SERVER['HTTP_USER_AGENT'];
    if(stristr($tespit,"Windows 95")) { $os="Windows 95"; }
    elseif(stristr($tespit,"Windows 98")) { $os="Windows 98"; }
    elseif(stristr($tespit,"Windows NT 5.0")) { $os="Windows 2000"; }
    elseif(stristr($tespit,"Windows NT 5.1")) { $os="Windows XP"; }
    elseif(stristr($tespit,"Windows NT 6.0")) { $os="Windows Vista"; }
    elseif(stristr($tespit,"Windows NT 6.1")) { $os="Windows 7"; }
    elseif(stristr($tespit,"Windows NT 6.2")) { $os="Windows 8"; }
    elseif(stristr($tespit,"Mac")) { $os="Mac"; }
    elseif(stristr($tespit,"Linux")) { $os="Linux"; }
    else {$os="Bilinmiyor ?";}
    return $os;
    }

    function tarayici() {
    $tespit2=$_SERVER['HTTP_USER_AGENT'];
    if(stristr($tespit2,"MSIE")) { $tarayici="Internet Explorer"; }
    elseif(stristr($tespit2,"Firefox")) { $tarayici="Mozilla Firefox"; }
	elseif(stristr($tespit2,"YaBrowser")) { $tarayici="Yandex Browser"; }
    elseif(stristr($tespit2,"Chrome")) { $tarayici="Google Chrome"; }
    elseif(stristr($tespit2,"Safari")) { $tarayici="Safari"; }
    elseif(stristr($tespit2,"Opera")) { $tarayici="Opera"; }
    else {$tarayici="Bilinmiyor ?";}
    return $tarayici;
    }











$kullanici      = $_SESSION["kullanici_adi"];
$tarih     = date('d.m.Y H:i:s');
$isletim =isletimsistemi();
$cihaz =$_SERVER['HTTP_USER_AGENT'];

//isim, soyisim, email bilgilerinin bulunduğu bilgiler tablomuza tanımladığımız değerleri ekledik.
$sql = "insert into girisler(GIRIS_KULLANICI , GIRIS_ZAMANI, GIRIS_ISLETIM_SISTEMI, GIRIS_CIHAZ)  values ('".$kullanici."','".$tarih."','".$isletim."','".$cihaz."')";
if (mysql_query($sql))
    echo "Sisteme Giriş Yapıldı";

}

else
{
		
echo str_repeat("<br>", 8)."<center><img src=images/hata.gif border=0 /><br><h1> Kullanıcı adı veya parola hatalı!</h1></center>";
header("Refresh: 2; url=index.php");
	
}
mysql_close();
ob_end_flush();
?>